Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.sac
Interface ExtendedSelector

All Superinterfaces:
  Selector

All Known Implementing Classes:
  AbstractDescendantSelector, AbstractElementSelector, AbstractSiblingSelector, CSSConditionalSelector

public interface ExtendedSelector
extends Selector

This interface extends the `Selector`.

Field Summary

Fields inherited from interface org.w3c.css.sac.Selector
`SAC_ANY_NODE_SELECTOR, SAC_CDATA_SECTION_NODE_SELECTOR, SAC_CHILD_SELECTOR, SAC_COMMENT_NODE_SELECTOR, SAC_CONDITIONAL_SELECTOR, SAC_DESCENDANT_SELECTOR, SAC_DIRECT_ADJACENT_SELECTOR, SAC_ELEMENT_NODE_SELECTOR, SAC_NEGATIVE_SELECTOR, SAC_PROCESSING_INSTRUCTION_NODE_SELECTOR, SAC_PSEUDO_ELEMENT_SELECTOR, SAC_ROOT_NODE_SELECTOR, SAC_TEXT_NODE_SELECTOR`

Method Summary
`void` | `fillAttributeSet(java.util.Set attrSet)` Fills the given set with the attribute names found in this selector.
`int` | `getSpecificity()` Returns the specificity of this selector.
`boolean` | `match(org.w3c.dom.Element e, java.lang.String pseudoE)` Tests whether this selector matches the given element.

Methods inherited from interface org.w3c.css.sac.Selector
`getSelectorType`

Method Detail

### match

    public boolean match(org.w3c.dom.Element e,
                         java.lang.String pseudoE)

  Tests whether this selector matches the given element.

### getSpecificity

    public int getSpecificity()

  Returns the specificity of this selector.

### fillAttributeSet

    public void fillAttributeSet(java.util.Set attrSet)

  Fills the given set with the attribute names found in this selector.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.